---
title: "Get Channel Moderators"
slug: "get-channel-moderators"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Moderators

Get/api/v1/channels.moderators

List all the moderators in a channel.

### Changelog

| Version | Description |
| --- | --- |
| 0.70.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='c23ea39f-a957-472f-8beb-5711dbe2ad63'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='22ea37f7-86d4-459a-bb0c-c3fd509dc364'>Success</option>
</select>Success

```json
{
  "moderators": [
    {
      "_id": "rocket.cat",
      "username": "rocket.cat",
      "name": "Rocket.Cat"
    }
  ],
  "success": true
}
```

Expand Allobject  moderators Array of object   object  _idstring    
usernamestring    
namestring    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='b495ce3e-cd66-4c83-99f3-59449140e1ab'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='18f50678-bd8f-4e18-a5fb-b8d13f4b4d65'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
